package com.mosty.yjzl.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.entity.yjzl.TbZxzb;
import com.mosty.base.model.query.yjzl.TbZxzbQuery;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface TbZxzbService {

    @ApiOperation("分页查询中心坐标")
    IPage<TbZxzb> queryListPage(TbZxzbQuery zxzbQuery);

    @ApiOperation("不分页查询中心坐标")
    List<TbZxzb> queryList(TbZxzbQuery zxzbQuery);

    @ApiOperation("计算坐标")
    void computeCenter(String startTime, String endTime);
}
